package kz.arta.synergy.workflow.mobile.android.attachments.models;

import java.util.ArrayList;

/**
 * Created by neox on 08.04.14.
 * Вложение
 */
public class AttachmentItem {

    /**
     * UUID данных по форме
     */
    private String dataUUID;

    /**
     *
     */
    private String type;

    /**
     * UUID работы, к которой принадлежит вложение
     */
    private String actionID;

    /**
     * Имя вложения
     */
    private String name;

    /**
     * Путь до иконки
     */
    private String icon;

    /**
     * Есть ли право редактировать
     */
    private String is_editable;

    /**
     * Идентификатор вложения
     */
    private String uuid;

    /**
     *
     */
    private String resultID;

    /**
     *
     */
    private String count;

    /**
     * Дата создания вложения в читаемом виде
     */
    private String created_label;

    /**
     * Дата создания
     */
    private String created;

    /**
     * ПУть
     */
    private String filepath;

    /**
     * Дата создания вложения
     */
    private String date;

    /**
     * Имеет ли вложение мобильное представление (если это форма)
     */
    private String mobile;

    /**
     * Список вложений
     */
    private ArrayList<AttachmentItem> list;

    public String getDataUUID() {
        return dataUUID;
    }

    public void setDataUUID(String dataUUID) {
        this.dataUUID = dataUUID;
    }

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public String getFilepath() {
        return filepath;
    }

    public void setFilepath(String filepath) {
        this.filepath = filepath;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getActionID() {
        return actionID;
    }

    public void setActionID(String actionID) {
        this.actionID = actionID;
    }

    public String getCreated() {
        return created;
    }

    public void setCreated(String created) {
        this.created = created;
    }

    public String getCreated_label() {
        return created_label;
    }

    public void setCreated_label(String created_label) {
        this.created_label = created_label;
    }

    public ArrayList<AttachmentItem> getList() {
        return list;
    }

    public void setList(ArrayList<AttachmentItem> list) {
        this.list = list;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public String getIs_editable() {
        return is_editable;
    }

    public void setIs_editable(String is_editable) {
        this.is_editable = is_editable;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getResultID() {
        return resultID;
    }

    public void setResultID(String resultID) {
        this.resultID = resultID;
    }

    public String getCount() {
        return count;
    }

    public void setCount(String count) {
        this.count = count;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }
}
